## org.eclipse.emf.ecore.sdo
Interface SDOFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  SDOFactoryImpl

    public interface SDOFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SDOPackage`

Field Summary
`static SDOFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`EChangeSummary` `createEChangeSummary()` Returns a new object of class 'EChange Summary'
`EChangeSummarySetting` `createEChangeSummarySetting()` Returns a new object of class 'EChange Summary Setting'
`EChangeSummarySetting` `createEChangeSummarySetting(EStructuralFeature eStructuralFeature, java.lang.Object value, boolean isSet)`
`EDataGraph` `createEDataGraph()` Returns a new object of class 'EData Graph'
`EDataObject` `createEDataObject()` Returns a new object of class 'EData Object'
`EDataObjectAnyType` `createEDataObjectAnyType()` Returns a new object of class 'EData Object Any Type'
`EDataObjectSimpleAnyType` `createEDataObjectSimpleAnyType()` Returns a new object of class 'EData Object Simple Any Type'
`EProperty` `createEProperty()` Returns a new object of class 'EProperty'
`EType` `createEType()` Returns a new object of class 'EType'
`SDOPackage` `getSDOPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SDOFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createEDataObject

    EDataObject createEDataObject()

  Returns a new object of class 'EData Object'.

  Returns:
    a new object of class 'EData Object'.

### createEDataGraph

    EDataGraph createEDataGraph()

  Returns a new object of class 'EData Graph'.

  Returns:
    a new object of class 'EData Graph'.

### createEChangeSummary

    EChangeSummary createEChangeSummary()

  Returns a new object of class 'EChange Summary'.

  Returns:
    a new object of class 'EChange Summary'.

### createEProperty

    EProperty createEProperty()

  Returns a new object of class 'EProperty'.

  Returns:
    a new object of class 'EProperty'.

### createEType

    EType createEType()

  Returns a new object of class 'EType'.

  Returns:
    a new object of class 'EType'.

### createEDataObjectAnyType

    EDataObjectAnyType createEDataObjectAnyType()

  Returns a new object of class 'EData Object Any Type'.

  Returns:
    a new object of class 'EData Object Any Type'.

### createEDataObjectSimpleAnyType

    EDataObjectSimpleAnyType createEDataObjectSimpleAnyType()

  Returns a new object of class 'EData Object Simple Any Type'.

  Returns:
    a new object of class 'EData Object Simple Any Type'.

### createEChangeSummarySetting

    EChangeSummarySetting createEChangeSummarySetting()

  Returns a new object of class 'EChange Summary Setting'.

  Returns:
    a new object of class 'EChange Summary Setting'.

### getSDOPackage

    SDOPackage getSDOPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createEChangeSummarySetting

    EChangeSummarySetting createEChangeSummarySetting(EStructuralFeature eStructuralFeature,
                                                      java.lang.Object value,
                                                      boolean isSet)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.